;InnoSetupVersion=4.0.5

[Setup]
AppName=Easy PDF Creator
AppVerName=Easy PDF Creator 1.00
AppId=Easy PDF Creator
AppPublisher=PDF Desk Informatique
AppPublisherURL=http://www.pdfdesk.com
AppSupportURL=http://www.pdfdesk.com
AppUpdatesURL=http://www.pdfdesk.com
DefaultDirName={pf}\Easy PDF Creator
DefaultGroupName=Easy PDF Creator
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\EasyPDFCreator.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\EasyPrinting.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Manual.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\inst.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\BatchConverter.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{win}\system32\hh64.exe"; DestDir: "{win}\system32"; Flags: ignoreversion 

[INI]
FileName: "{app}\EasyPDFCreator.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.pdfdesk.com"; 

[Run]
Filename: "{app}\inst.exe"; StatusMsg: "Installing Easy PDF Creator ..."; Description: "Install Easy PDF Creator"; 
Filename: "{app}\EasyPrinting.exe"; Parameters: "/install /silent"; StatusMsg: "Installing PDF Printing Service ..."; Description: "Install PDF Printing Service"; 
Filename: "{win}\system32\rundll32.exe"; Parameters: "SHELL32.DLL,SHHelpShortcuts_RunDLL PrintersFolder"; StatusMsg: "Show Easy PDF Creator"; Description: "Show Easy PDF Creator"; Flags: postinstall 

[UninstallRun]
Filename: "{win}\system32\spool\drivers\w32x86\pdfinst.exe"; Parameters: "-u"; StatusMsg: "Removing PDF4U Adobe PDF Creator driver ..."; 
Filename: "{app}\EasyPrinting.exe"; Parameters: "/uninstall /silent"; StatusMsg: "Removing PDF Printing Service ..."; 

[Icons]
Name: "{group}\Easy PDF Creator"; Filename: "{app}\EasyPDFCreator.exe"; 
Name: "{group}\Easy PDF Creator on the Web"; Filename: "{app}\EasyPDFCreator.url"; 
Name: "{group}\Uninstall Easy PDF Creator"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\Easy PDF Creator"; Filename: "{app}\EasyPDFCreator.exe"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\EasyPDFCreator.url"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
